Skip to main content
GET
Get a Study

Authorizations

Authorization
string
header
required

Use API-Key YOUR_API_KEY. The key selects the Production or Development environment.

Path Parameters

studyId
string<uuid>
required

Response

OK

A Study discriminated by its public type.

id
string<uuid>
required
name
string
required
status
enum<string>
required
Available options:
DRAFT,
IN_PROGRESS,
PAUSED,
COMPLETED,
ARCHIVED
version
integer
required
Required range: x >= 1
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
studyUrl
string<uri>
required

Link to this Study in the Sprig dashboard for authors.

type
enum<string>
required

A shareable Survey Study.

Available options:
SURVEY
responseSettings
object
required
shareUrl
string<uri> | null
required

The respondent URL, or null until the Study can be shared.